function [LH,LD,PD,PH] = nalezeniZbyvajicihoBodu2(app, im, selectedPoitsToFix) 
    LD = app.OrangePoints(1,:);
    PH = app.OrangePoints(2,:);
    LH = app.OrangePoints(3,:);
    PD = app.OrangePoints(4,:);
    [r, c] = size(im);
    halfHigh = round(r/2);
    halfWidth = round(c/6);
    for i = 1:length(selectedPoitsToFix)
        if strcmp(selectedPoitsToFix{i},'LH')
            LH = clickOnOrangePoint2(im,[0 0 halfWidth halfHigh]);
        end
         if strcmp(selectedPoitsToFix{i},'LD')
            LD = clickOnOrangePoint2(im,[0 halfHigh halfWidth halfHigh]);
         end
        if strcmp(selectedPoitsToFix{i},'PH')
            PH = clickOnOrangePoint2(im,[halfWidth 0 halfWidth halfHigh]);
        end
         if strcmp(selectedPoitsToFix{i},'PD')
            PD = clickOnOrangePoint2(im,[halfWidth halfHigh halfWidth halfHigh]);
         end
         
    end
end